/* © SRSoftware 2025 */
package de.srsoftware.umbrella.wiki;


import de.srsoftware.umbrella.core.model.Permission;
import de.srsoftware.umbrella.core.model.WikiPage;
import java.util.List;
import java.util.Map;

public interface WikiDb {

	WikiPage drop(WikiPage page);

	Map<Long,WikiPage> find(long userId, List<String> keys, boolean fulltext);

    long getNextId();

    boolean isAvailable(String title);

	List<String> listUserPages(long userId);

	WikiPage load(String id, Integer version);

	Map<Long, Permission> loadMembers(WikiPage page);

	WikiPage save(WikiPage page);
}
